{% extends 'base.html' %}

{% block title %}Your Code{% endblock title %}

{% block content %}

<style>
    html {
        overflow: hidden;
    }
    body{
        overflow: hidden;
    }
    .content {
        height: 100vh;
        width: 100vw;
        overflow: hidden;
        border: none;
        padding: 0;
        margin: 0;
        font-size: 14px;
        font-family: monospace;
        background-color: #101111;
        color: white;
        text-align: start;
        resize: none;
        /* make the text */
    }
</style>
<div class="h-100 w-100">
    <textarea type="text" name="content" id="{{ code.slug }}" class="content">{{ code.content }}</textarea>
</div>

<script>
    const textarea = document.querySelector("textarea");
    textarea.addEventListener("input",  async(e) => {
        var data = {
        // 'content': textarea.value,
        'content': textarea.value,
        'slug' : textarea.id
        };

        await fetch(`/api/code/slug=${textarea.id}/edit`, {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json'
        },
        body: JSON.stringify(data)
        })
        .then(response => {
            console.log(response)
        if (response.code == 0) {
            alert(response.message)
        }
        else if (response.code == 1) {
            console.log(response.code)
            console.log(response.object)
            textarea.innerHTML = response.object.content
        }
        })
        .catch(error => {
        console.error('Error:', error);
        });

        } );
</script>
{% endblock content %}